Uploaded image for project: 'NetBeans'
  1. NetBeans
  2. NETBEANS-2931

A java.lang.IllegalStateException exception has occurred, accessing the update center over https.

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Not A Problem
    • Affects Version/s: 11.0
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Environment:
      mageia linux 7

      Description

      The page

      https://plugins.netbeans.org/nbpluginportal/updates/11.0/

      (which is a redirect from https://netbeans.apache.org/nb/plugins/11.1/)

      is not secured by a valid certificate. Checked in all browsers. Netbeans itself refuses to connect to this page:

      "Unable to connect to the NetBeans Distribution because of Received fatal alert: handshake_failure"

       

      Since the tar ball does not contain an installable php distribution it is not possible to activate php.

      "Some plugins require plugin org.netbeans.libs.oracle.jsparser to be installed.
      The plugin named org.netbeans.libs.oracle.jsparser is needed and not found. The following plugin is affected:       

      PHP"

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                mokraemer Marc Krämer
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 1h
                  1h
                  Remaining:
                  Remaining Estimate - 1h
                  1h
                  Logged:
                  Time Spent - Not Specified
                  Not Specified